%define	DATE	20040813
%define    language  Dutch
%define    lang      nl
%define format1      html-%{lang}
%define format2      HTML/%{lang}


Summary:   %language HOWTO documents (html format) from the Linux Documentation Project
Name:      howto-%{format1}
Version:	10.1
Release:	1mdk
Group:		Books/Howtos

Source0:   %name.tar
Source1:   %name

Url:		http://nl.linux.org/doc/nlhowto.php
License:	GPL
BuildRoot:	%{_tmppath}/howto-%{format1}-root
BuildArch:	noarch

BuildRequires: howto-utils
Requires:    locales-%lang, howto-utils, webclient, mandrake_desk > 1.0.3-7mdk

%description
Linux HOWTOs in Dutch documents are located at
http://nl.linux.org/doc/nlhowto.php and
ftp://fjordland.nl.linux.org/pub/HOWTO-NL/all-howtos-html.tar.gz

%prep
%setup -q -n %name

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_docdir}/HOWTO/%{format2}
untar_howtos; makehowtoindex %lang %language > index.html; cp -a * $RPM_BUILD_ROOT%{_docdir}/HOWTO/%{format2}

install -m 755 -d $RPM_BUILD_ROOT%{_menudir}
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_menudir}

perl -p -i -e "s|<LI><A HREF=\"Bootdisk-HOWTO-NL.html\">De Linux Bootdisk HOWTO</A>|<LI><A HREF=\"Bootdisk-HOWTO-NL.html\">De Linux Bootdisk HOWTO</A>\n<LI><A HREF=\"Bootdisk/t1.html\">De Linux Bootdisk HOWTO</A>|" $RPM_BUILD_ROOT%{_docdir}/HOWTO/%{format2}/index.html
# this perl line is needed to include the Bootdisk-howto which is in a directory with strange file name. 


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_docdir}/HOWTO/%{format2}
%{_menudir}/*

%post
%{update_menus}

%postun
%{clean_menus}

%changelog
* Fri Aug 13 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 10.1-1mdk
- new snapshot

* Thu Feb 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 9.1-0.5mdk
- new menu scheme

* Sat Feb 15 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 9.1-0.4mdk
- fix menu generation
- fix buildroot directory name

* Thu Feb 13 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 9.1-0.3mdk
- synchronize all howtos spec files
- use new howto-utils

* Wed Feb 05 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 9.1-0.2mdk
- fix menu entry
- rebuild for latest makehowtoindex %lang %language > index.html)

* Tue Jan 21 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 9.1-0.1mdk
- new release

* Thu Aug 01 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 9.0-0.1mdk
- new snapshot
- add real url
- sanitize menu entry (fix menu-command-not-in-package)

* Thu Jan 29 2002 Adrien DEMAREZ <ademarez@mandrakesoft.com> 8.2-2mdk
- updated howtos

* Thu Jan 17 2002 David BAUDENS <baudens@mandrakesoft.com> 8.2-1mdk
- Fix menu entry (icon)

* Fri Sep 07 2001 Etienne FAURE <etienne@mandrakesoft.com> 8.1-2mdk
- Modified menu entry so that it works with KDE and gnome

* Thu Aug 30 2001 Etienne FAURE <etienne@mandrakesoft.com> 8.1-1mdk
- Automatically updated

* Fri Mar  9 2001 Etienne Faure  <etienne@mandrakesoft.com> 8.0-2mdk
- Small fixes 
- Include Bootdisk howto

* Wed Feb 28 2001 Andre van Blokland <ablokland@go.com> 8.0-1
- First Dutch Howto using English and French spec-files

